
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

// einfache Liste mit Array
// Hier wurde kein Layout verwendet !!!!!!!
// Mit setBounds kann ein GUI-Element absolut positioniert werden

public class Liste01 extends JFrame {


  //Frame konstruieren
  public Liste01() {
     JButton bn1;
     JList jlist;
     JPanel panel;
     JScrollPane scroll;
     String[] items;

    setSize(450, 360);
    setTitle("JList Liste01");

    panel = new JPanel();
    panel.setLayout ( null );
    bn1 = new JButton("1. Text");  // Label erzeugen
    panel.add(bn1);
    bn1.setBounds(140, 300, 150, 20); // x/y   width height

    // Array für die JList
    items = new String[20];
    for (int i=0; i<20; i++) {
      items[i] = Integer.toHexString(i+1)+" Auswahl";
    }

    jlist = new JList(items);

    //jlist.getSelectedIndex()
    //jlist.getSelectedIndices()
    jlist.setBounds(20, 20, 350, 250); // x/y   width height
    panel.add(    jlist  );
    jlist.setFont( new Font("Arial", Font.BOLD,18)  );
    bn1.setFont( new Font("Arial", Font.BOLD,18)  );

    this.getContentPane().add(panel, BorderLayout.CENTER);
  } // create



  //Überschreiben, damit das Programm bei Herunterfahren des Systems beendet werden kann
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if(e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }


  public static void main(String[] args) {
    Liste01 frame = new Liste01();
    frame.setVisible(true);
  }


}
